2 yangguo1993 YangGuo1993 于 2016.02.29 13:53 提问

请问Revit中使用草图模式创建的楼梯,如何用代码实现创建?

请问Revit中使用草图模式创建的楼梯,如何用代码实现创建?

1个回答

devmiao
devmiao   Ds   Rxr 2016.02.29 22:19
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
YangGuo1993
YangGuo1993 编程创建,,,不是软件
2 年多之前 回复
Csdn user default icon
上传中...
上传图片
插入图片
准确详细的回答,更有利于被提问者采纳,从而获得C币。复制、灌水、广告等回答会被删除,是时候展现真正的技术了!
其他相关推荐
编程如何获得通过草图创建的Revit构件关联的原始草图对象
问题:
RevitAPI之草图及草图平面
一、草图编辑 草图编辑在Revit中被广泛用于创建各种元素,包括绘制和修改模型的形状。 没有用于创建元素的绘制形状的绘画也属于草图编辑,例如,用鼠标移动的操作画一根曲线,在已经创建好的楼板上绘制褶皱来修改楼板的几何形状等。 草图编辑在用户界面上有专门的窗口区域,不同的元素提供不同的绘制草图的工具集,标准的工具集一•般有两种: ①、绘制形状的工具:直线,曲线,圆,多边形,椭圆,样条曲线。
Revit开发NewFamilyInstance技巧之创建梁
在RevitAPI中调用NewFamilyInstance是一件比较麻烦的事情, 这个函数居然有十几种重载, 下面我们尝试重这十几种中去找到用来创建梁的那个函数, 我们首先可以 获取梁的Family,然后输出Family的FamilyPlacementType 发现他是CurveDrivenStructural,根据这个媒介的英语字面意思,我猜测 他创建的函数,应该要包括Curv
Revit二次开发用API创建拉伸体
一、Revit拉伸介绍 拉伸是最容易创建的形状。可以在工作平而上绘制形状的二维轮廓,然后拉伸该轮廓使其与绘制它的平面垂直。根据描述,拉伸操作需要三个输入: ①工作平面; ②工作平面上的二维轮廊(必须闭合); ③拉伸的长度。 在界面上,如要拉伸墙到弧形屋顶,操作的大体步骤如下图。 ①:选择工作平面  ②:选择一个绘制屋顶的视图 ③:切换至北立面,确定绘制标高为“标高2”,无偏
Revit二次开发 体量里的放样
Revit二次开发 体量的放样
eRevit Stairs Builder简介
Stairs Builder是eRevit开发小组基于Autodesk Revit开发的BIM应用,支持Revit 2014, 2015和最新的2016。当前版本供提供了四大类,十四种最常见楼梯类型的创建功能,如下图所示: Stairs Builder主要有以下特点:  可以在多楼层之间创建楼梯。支持不同高度的楼层。可以自动创建休息平台和开洞。可以在
Revit开发楼梯创建
using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; using Autodesk.Revit.Attributes; using Autodesk.Revit.DB; using Autodesk.Revi
Revit开发之带UI的HelloWord
using System; using System.Collections.Generic; using System.Linq; using System.Text; using System.Threading.Tasks; / using Autodesk.Revit.UI; using Autodesk.Revit.DB; using Autodesk.Revit.A
在Revit中,如何编程创建新类型(如窗户或墙)
在我们的ADN中,有许多人都问这个问题。这里与大家分享下。Revit的对象基本上都是基于类型的,把具有相同属性放在类型中保存。关于类型我就不再多啰嗦。在Revit中创建对象基本上用Autodesk.Revit.Creation.Document 和 Autodesk.Revit.Creation.Application类中的方法来创建对象。比如创建墙 用Autodesk.Revit.Creation.Document.NewWall() 方法。可是我们确无法从Creation命名空间中的Document类中
Revit二次开发——revit怎么给桥梁加钢筋
Revit自身带的钢筋功能比较鸡肋,哪怕是用在它所擅长的建筑结构里,也是坑得飞起。很多情况,特别是异形结构,几乎不能准确建好钢筋模型。 所以这里,我就想了一个办法利用revit给桥梁加钢筋。桥梁其实包含了很多异形结构,更坑的是桥梁的钢筋几乎没有规则,很多设计院的钢筋涉及规则也不尽相同。 桥梁加钢筋的思路: 1、对于相对规则的结构 1)建钢筋的模型线族; 2)利用dynam